local ie = minetest.request_insecure_environment()
if not ie then
  error(("Electricity mod requires access to insecure functions in order " .. "to work. Please add the electricity mod to your secure.trusted_mods.\n" .. "Insecure functions provide native (fast) complex numbers and arrays, " .. "which are necessary for MNA solver used in electricity mod."))
end
local ffi = ie.require("ffi")
local function _1_(_cf_84, mt)
  return ffi.metatype(ffi.typeof(_cf_84), mt)
end
metatype = _1_
isctype = ffi.istype
allocate = ffi.new
return import("electricity", "complex", "matrix", "matrix-solve", "craftitems", "models", "functions", "sim", "globalstep", "ground", "switch", "battery", "transformer", "infinite", "consumer", "riteg", "cables", "accumulator", "lamp", "multimeter", "relay")
